diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-posts-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-posts-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-posts-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-posts-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 45,54 ****
  	 */
  	var $sticky_posts_count = 0;
  
! 	function __construct() {
  		global $post_type_object, $wpdb;
  
! 		$post_type = get_current_screen()->post_type;
  		$post_type_object = get_post_type_object( $post_type );
  
  		if ( !current_user_can( $post_type_object->cap->edit_others_posts ) ) {
--- 45,59 ----
  	 */
  	var $sticky_posts_count = 0;
  
! 	function __construct( $args = array() ) {
  		global $post_type_object, $wpdb;
  
! 		parent::__construct( array(
! 			'plural' => 'posts',
! 			'screen' => isset( $args['screen'] ) ? $args['screen'] : null,
! 		) );
! 
! 		$post_type = $this->screen->post_type;
  		$post_type_object = get_post_type_object( $post_type );
  
  		if ( !current_user_can( $post_type_object->cap->edit_others_posts ) ) {
***************
*** 66,93 ****
  			$sticky_posts = implode( ', ', array_map( 'absint', (array) $sticky_posts ) );
  			$this->sticky_posts_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT( 1 ) FROM $wpdb->posts WHERE post_type = %s AND post_status != 'trash' AND ID IN ($sticky_posts)", $post_type ) );
  		}
- 
- 		parent::__construct( array(
- 			'plural' => 'posts',
- 		) );
  	}
  
  	function ajax_user_can() {
! 		global $post_type_object;
! 
! 		return current_user_can( $post_type_object->cap->edit_posts );
  	}
  
  	function prepare_items() {
! 		global $post_type_object, $avail_post_stati, $wp_query, $per_page, $mode;
  
  		$avail_post_stati = wp_edit_posts_query();
  
! 		$this->hierarchical_display = ( $post_type_object->hierarchical && 'menu_order title' == $wp_query->query['orderby'] );
  
  		$total_items = $this->hierarchical_display ? $wp_query->post_count : $wp_query->found_posts;
  
! 		$post_type = $post_type_object->name;
  		$per_page = $this->get_items_per_page( 'edit_' . $post_type . '_per_page' );
   		$per_page = apply_filters( 'edit_posts_per_page', $per_page, $post_type );
  
--- 71,92 ----
  			$sticky_posts = implode( ', ', array_map( 'absint', (array) $sticky_posts ) );
  			$this->sticky_posts_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT( 1 ) FROM $wpdb->posts WHERE post_type = %s AND post_status != 'trash' AND ID IN ($sticky_posts)", $post_type ) );
  		}
  	}
  
  	function ajax_user_can() {
! 		return current_user_can( get_post_type_object( $this->screen->post_type )->cap->edit_posts );
  	}
  
  	function prepare_items() {
! 		global $avail_post_stati, $wp_query, $per_page, $mode;
  
  		$avail_post_stati = wp_edit_posts_query();
  
! 		$this->hierarchical_display = ( is_post_type_hierarchical( $this->screen->post_type ) && 'menu_order title' == $wp_query->query['orderby'] );
  
  		$total_items = $this->hierarchical_display ? $wp_query->post_count : $wp_query->found_posts;
  
! 		$post_type = $this->screen->post_type;
  		$per_page = $this->get_items_per_page( 'edit_' . $post_type . '_per_page' );
   		$per_page = apply_filters( 'edit_posts_per_page', $per_page, $post_type );
  
***************
*** 112,129 ****
  	}
  
  	function no_items() {
- 		global $post_type_object;
- 
  		if ( isset( $_REQUEST['post_status'] ) && 'trash' == $_REQUEST['post_status'] )
! 			echo $post_type_object->labels->not_found_in_trash;
  		else
! 			echo $post_type_object->labels->not_found;
  	}
  
  	function get_views() {
! 		global $post_type_object, $locked_post_status, $avail_post_stati;
  
! 		$post_type = $post_type_object->name;
  
  		if ( !empty($locked_post_status) )
  			return array();
--- 111,126 ----
  	}
  
  	function no_items() {
  		if ( isset( $_REQUEST['post_status'] ) && 'trash' == $_REQUEST['post_status'] )
! 			echo get_post_type_object( $this->screen->post_type )->labels->not_found_in_trash;
  		else
! 			echo get_post_type_object( $this->screen->post_type )->labels->not_found;
  	}
  
  	function get_views() {
! 		global $locked_post_status, $avail_post_stati;
  
! 		$post_type = $this->screen->post_type;
  
  		if ( !empty($locked_post_status) )
  			return array();
***************
*** 198,212 ****
  	}
  
  	function extra_tablenav( $which ) {
! 		global $post_type_object, $cat;
  ?>
  		<div class="alignleft actions">
  <?php
  		if ( 'top' == $which && !is_singular() ) {
  
! 			$this->months_dropdown( $post_type_object->name );
  
! 			if ( is_object_in_taxonomy( $post_type_object->name, 'category' ) ) {
  				$dropdown_options = array(
  					'show_option_all' => __( 'View all categories' ),
  					'hide_empty' => 0,
--- 195,209 ----
  	}
  
  	function extra_tablenav( $which ) {
! 		global $cat;
  ?>
  		<div class="alignleft actions">
  <?php
  		if ( 'top' == $which && !is_singular() ) {
  
! 			$this->months_dropdown( $this->screen->post_type );
  
! 			if ( is_object_in_taxonomy( $this->screen->post_type, 'category' ) ) {
  				$dropdown_options = array(
  					'show_option_all' => __( 'View all categories' ),
  					'hide_empty' => 0,
***************
*** 218,228 ****
  				wp_dropdown_categories( $dropdown_options );
  			}
  			do_action( 'restrict_manage_posts' );
! 			submit_button( __( 'Filter' ), 'secondary', false, false, array( 'id' => 'post-query-submit' ) );
  		}
  
! 		if ( $this->is_trash && current_user_can( $post_type_object->cap->edit_others_posts ) ) {
! 			submit_button( __( 'Empty Trash' ), 'button-secondary apply', 'delete_all', false );
  		}
  ?>
  		</div>
--- 215,225 ----
  				wp_dropdown_categories( $dropdown_options );
  			}
  			do_action( 'restrict_manage_posts' );
! 			submit_button( __( 'Filter' ), 'button', false, false, array( 'id' => 'post-query-submit' ) );
  		}
  
! 		if ( $this->is_trash && current_user_can( get_post_type_object( $this->screen->post_type )->cap->edit_others_posts ) ) {
! 			submit_button( __( 'Empty Trash' ), 'apply', 'delete_all', false );
  		}
  ?>
  		</div>
***************
*** 237,263 ****
  	}
  
  	function pagination( $which ) {
! 		global $post_type_object, $mode;
  
  		parent::pagination( $which );
  
! 		if ( 'top' == $which && !$post_type_object->hierarchical )
  			$this->view_switcher( $mode );
  	}
  
  	function get_table_classes() {
! 		global $post_type_object;
! 
! 		return array( 'widefat', 'fixed', $post_type_object->hierarchical ? 'pages' : 'posts' );
  	}
  
  	function get_columns() {
! 		$screen = get_current_screen();
! 
! 		if ( empty( $screen ) )
! 			$post_type = 'post';
! 		else
! 			$post_type = $screen->post_type;
  
  		$posts_columns = array();
  
--- 234,253 ----
  	}
  
  	function pagination( $which ) {
! 		global $mode;
  
  		parent::pagination( $which );
  
! 		if ( 'top' == $which && ! is_post_type_hierarchical( $this->screen->post_type ) )
  			$this->view_switcher( $mode );
  	}
  
  	function get_table_classes() {
! 		return array( 'widefat', 'fixed', is_post_type_hierarchical( $this->screen->post_type ) ? 'pages' : 'posts' );
  	}
  
  	function get_columns() {
! 		$post_type = $this->screen->post_type;
  
  		$posts_columns = array();
  
***************
*** 269,283 ****
  		if ( post_type_supports( $post_type, 'author' ) )
  			$posts_columns['author'] = __( 'Author' );
  
! 		if ( empty( $post_type ) || is_object_in_taxonomy( $post_type, 'category' ) )
! 			$posts_columns['categories'] = __( 'Categories' );
  
! 		if ( empty( $post_type ) || is_object_in_taxonomy( $post_type, 'post_tag' ) )
! 			$posts_columns['tags'] = __( 'Tags' );
  
  		$post_status = !empty( $_REQUEST['post_status'] ) ? $_REQUEST['post_status'] : 'all';
  		if ( post_type_supports( $post_type, 'comments' ) && !in_array( $post_status, array( 'pending', 'draft', 'future' ) ) )
! 			$posts_columns['comments'] = '<span class="vers"><img alt="' . esc_attr__( 'Comments' ) . '" src="' . esc_url( admin_url( 'images/comment-grey-bubble.png' ) ) . '" /></span>';
  
  		$posts_columns['date'] = __( 'Date' );
  
--- 259,286 ----
  		if ( post_type_supports( $post_type, 'author' ) )
  			$posts_columns['author'] = __( 'Author' );
  
! 		$taxonomies = array();
! 
! 		$taxonomies = get_object_taxonomies( $post_type, 'objects' );
! 		$taxonomies = wp_filter_object_list( $taxonomies, array( 'show_admin_column' => true ), 'and', 'name' );
! 
! 		$taxonomies = apply_filters( "manage_taxonomies_for_{$post_type}_columns", $taxonomies, $post_type );
! 		$taxonomies = array_filter( $taxonomies, 'taxonomy_exists' );
! 
! 		foreach ( $taxonomies as $taxonomy ) {
! 			if ( 'category' == $taxonomy )
! 				$column_key = 'categories';
! 			elseif ( 'post_tag' == $taxonomy )
! 				$column_key = 'tags';
! 			else
! 				$column_key = 'taxonomy-' . $taxonomy;
  
! 			$posts_columns[ $column_key ] = get_taxonomy( $taxonomy )->labels->name;
! 		}
  
  		$post_status = !empty( $_REQUEST['post_status'] ) ? $_REQUEST['post_status'] : 'all';
  		if ( post_type_supports( $post_type, 'comments' ) && !in_array( $post_status, array( 'pending', 'draft', 'future' ) ) )
! 			$posts_columns['comments'] = '<span class="vers"><div title="' . esc_attr__( 'Comments' ) . '" class="comment-grey-bubble"></div></span>';
  
  		$posts_columns['date'] = __( 'Date' );
  
***************
*** 293,307 ****
  	function get_sortable_columns() {
  		return array(
  			'title'    => 'title',
- 			'author'   => 'author',
  			'parent'   => 'parent',
  			'comments' => 'comment_count',
  			'date'     => array( 'date', true )
  		);
  	}
  
! 	function display_rows( $posts = array() ) {
! 		global $wp_query, $post_type_object, $per_page;
  
  		if ( empty( $posts ) )
  			$posts = $wp_query->posts;
--- 296,309 ----
  	function get_sortable_columns() {
  		return array(
  			'title'    => 'title',
  			'parent'   => 'parent',
  			'comments' => 'comment_count',
  			'date'     => array( 'date', true )
  		);
  	}
  
! 	function display_rows( $posts = array(), $level = 0 ) {
! 		global $wp_query, $per_page;
  
  		if ( empty( $posts ) )
  			$posts = $wp_query->posts;
***************
*** 311,322 ****
  		if ( $this->hierarchical_display ) {
  			$this->_display_rows_hierarchical( $posts, $this->get_pagenum(), $per_page );
  		} else {
! 			$this->_display_rows( $posts );
  		}
  	}
  
! 	function _display_rows( $posts ) {
! 		global $post, $mode;
  
  		// Create array of post IDs.
  		$post_ids = array();
--- 313,324 ----
  		if ( $this->hierarchical_display ) {
  			$this->_display_rows_hierarchical( $posts, $this->get_pagenum(), $per_page );
  		} else {
! 			$this->_display_rows( $posts, $level );
  		}
  	}
  
! 	function _display_rows( $posts, $level = 0 ) {
! 		global $mode;
  
  		// Create array of post IDs.
  		$post_ids = array();
***************
*** 327,333 ****
  		$this->comment_pending_count = get_pending_comments_num( $post_ids );
  
  		foreach ( $posts as $post )
! 			$this->single_row( $post );
  	}
  
  	function _display_rows_hierarchical( $pages, $pagenum = 1, $per_page = 20 ) {
--- 329,335 ----
  		$this->comment_pending_count = get_pending_comments_num( $post_ids );
  
  		foreach ( $posts as $post )
! 			$this->single_row( $post, $level );
  	}
  
  	function _display_rows_hierarchical( $pages, $pagenum = 1, $per_page = 20 ) {
***************
*** 458,469 ****
  		unset( $children_pages[$parent] ); //required in order to keep track of orphans
  	}
  
! 	function single_row( $a_post, $level = 0 ) {
! 		global $post, $mode;
  		static $alternate;
  
! 		$global_post = $post;
! 		$post = $a_post;
  		setup_postdata( $post );
  
  		$edit_link = get_edit_post_link( $post->ID );
--- 460,471 ----
  		unset( $children_pages[$parent] ); //required in order to keep track of orphans
  	}
  
! 	function single_row( $post, $level = 0 ) {
! 		global $mode;
  		static $alternate;
  
! 		$global_post = get_post();
! 		$GLOBALS['post'] = $post;
  		setup_postdata( $post );
  
  		$edit_link = get_edit_post_link( $post->ID );
***************
*** 492,498 ****
  
  			case 'cb':
  			?>
! 			<th scope="row" class="check-column"><?php if ( $can_edit_post ) { ?><input type="checkbox" name="post[]" value="<?php the_ID(); ?>" /><?php } ?></th>
  			<?php
  			break;
  
--- 494,505 ----
  
  			case 'cb':
  			?>
! 			<th scope="row" class="check-column">
! 				<?php if ( $can_edit_post ) { ?>
! 				<label class="screen-reader-text" for="cb-select-<?php the_ID(); ?>"><?php printf( __( 'Select %s' ), $title ); ?></label>
! 				<input id="cb-select-<?php the_ID(); ?>" type="checkbox" name="post[]" value="<?php the_ID(); ?>" />
! 				<?php } ?>
! 			</th>
  			<?php
  			break;
  
***************
*** 504,510 ****
  						//sent level 0 by accident, by default, or because we don't know the actual level
  						$find_main_page = (int) $post->post_parent;
  						while ( $find_main_page > 0 ) {
! 							$parent = get_page( $find_main_page );
  
  							if ( is_null( $parent ) )
  								break;
--- 511,517 ----
  						//sent level 0 by accident, by default, or because we don't know the actual level
  						$find_main_page = (int) $post->post_parent;
  						while ( $find_main_page > 0 ) {
! 							$parent = get_post( $find_main_page );
  
  							if ( is_null( $parent ) )
  								break;
***************
*** 524,531 ****
  				}
  				else {
  					$attributes = 'class="post-title page-title column-title"' . $style;
  ?>
! 			<td <?php echo $attributes ?>><strong><?php if ( $can_edit_post && $post->post_status != 'trash' ) { ?><a class="row-title" href="<?php echo $edit_link; ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ); ?>"><?php echo $title ?></a><?php } else { echo $title; }; _post_states( $post ); ?></strong>
  <?php
  					if ( 'excerpt' == $mode && current_user_can( 'read_post', $post->ID ) )
  						the_excerpt();
--- 531,540 ----
  				}
  				else {
  					$attributes = 'class="post-title page-title column-title"' . $style;
+ 
+ 					$pad = str_repeat( '&#8212; ', $level );
  ?>
! 			<td <?php echo $attributes ?>><strong><?php if ( $can_edit_post && $post->post_status != 'trash' ) { ?><a class="row-title" href="<?php echo $edit_link; ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ); ?>"><?php echo $pad; echo $title ?></a><?php } else { echo $pad; echo $title; }; _post_states( $post ); ?></strong>
  <?php
  					if ( 'excerpt' == $mode && current_user_can( 'read_post', $post->ID ) )
  						the_excerpt();
***************
*** 538,544 ****
  				}
  				if ( current_user_can( $post_type_object->cap->delete_post, $post->ID ) ) {
  					if ( 'trash' == $post->post_status )
! 						$actions['untrash'] = "<a title='" . esc_attr( __( 'Restore this item from the Trash' ) ) . "' href='" . wp_nonce_url( admin_url( sprintf( $post_type_object->_edit_link . '&amp;action=untrash', $post->ID ) ), 'untrash-' . $post->post_type . '_' . $post->ID ) . "'>" . __( 'Restore' ) . "</a>";
  					elseif ( EMPTY_TRASH_DAYS )
  						$actions['trash'] = "<a class='submitdelete' title='" . esc_attr( __( 'Move this item to the Trash' ) ) . "' href='" . get_delete_post_link( $post->ID ) . "'>" . __( 'Trash' ) . "</a>";
  					if ( 'trash' == $post->post_status || !EMPTY_TRASH_DAYS )
--- 547,553 ----
  				}
  				if ( current_user_can( $post_type_object->cap->delete_post, $post->ID ) ) {
  					if ( 'trash' == $post->post_status )
! 						$actions['untrash'] = "<a title='" . esc_attr( __( 'Restore this item from the Trash' ) ) . "' href='" . wp_nonce_url( admin_url( sprintf( $post_type_object->_edit_link . '&amp;action=untrash', $post->ID ) ), 'untrash-post_' . $post->ID ) . "'>" . __( 'Restore' ) . "</a>";
  					elseif ( EMPTY_TRASH_DAYS )
  						$actions['trash'] = "<a class='submitdelete' title='" . esc_attr( __( 'Move this item to the Trash' ) ) . "' href='" . get_delete_post_link( $post->ID ) . "'>" . __( 'Trash' ) . "</a>";
  					if ( 'trash' == $post->post_status || !EMPTY_TRASH_DAYS )
***************
*** 561,567 ****
  			break;
  
  			case 'date':
! 				if ( '0000-00-00 00:00:00' == $post->post_date && 'date' == $column_name ) {
  					$t_time = $h_time = __( 'Unpublished' );
  					$time_diff = 0;
  				} else {
--- 570,576 ----
  			break;
  
  			case 'date':
! 				if ( '0000-00-00 00:00:00' == $post->post_date ) {
  					$t_time = $h_time = __( 'Unpublished' );
  					$time_diff = 0;
  				} else {
***************
*** 571,577 ****
  
  					$time_diff = time() - $time;
  
! 					if ( $time_diff > 0 && $time_diff < 24*60*60 )
  						$h_time = sprintf( __( '%s ago' ), human_time_diff( $time ) );
  					else
  						$h_time = mysql2date( __( 'Y/m/d' ), $m_time );
--- 580,586 ----
  
  					$time_diff = time() - $time;
  
! 					if ( $time_diff > 0 && $time_diff < DAY_IN_SECONDS )
  						$h_time = sprintf( __( '%s ago' ), human_time_diff( $time ) );
  					else
  						$h_time = mysql2date( __( 'Y/m/d' ), $m_time );
***************
*** 596,643 ****
  				echo '</td>';
  			break;
  
- 			case 'categories':
- 			?>
- 			<td <?php echo $attributes ?>><?php
- 				$categories = get_the_category();
- 				if ( !empty( $categories ) ) {
- 					$out = array();
- 					foreach ( $categories as $c ) {
- 						$out[] = sprintf( '<a href="%s">%s</a>',
- 							esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'category_name' => $c->slug ), 'edit.php' ) ),
- 							esc_html( sanitize_term_field( 'name', $c->name, $c->term_id, 'category', 'display' ) )
- 						);
- 					}
- 					/* translators: used between list items, there is a space after the comma */
- 					echo join( __( ', ' ), $out );
- 				} else {
- 					_e( 'Uncategorized' );
- 				}
- 			?></td>
- 			<?php
- 			break;
- 
- 			case 'tags':
- 			?>
- 			<td <?php echo $attributes ?>><?php
- 				$tags = get_the_tags( $post->ID );
- 				if ( !empty( $tags ) ) {
- 					$out = array();
- 					foreach ( $tags as $c ) {
- 						$out[] = sprintf( '<a href="%s">%s</a>',
- 							esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'tag' => $c->slug ), 'edit.php' ) ),
- 							esc_html( sanitize_term_field( 'name', $c->name, $c->term_id, 'tag', 'display' ) )
- 						);
- 					}
- 					/* translators: used between list items, there is a space after the comma */
- 					echo join( __( ', ' ), $out );
- 				} else {
- 					_e( 'No Tags' );
- 				}
- 			?></td>
- 			<?php
- 			break;
- 
  			case 'comments':
  			?>
  			<td <?php echo $attributes ?>><div class="post-com-count-wrapper">
--- 605,610 ----
***************
*** 662,667 ****
--- 629,672 ----
  			break;
  
  			default:
+ 				if ( 'categories' == $column_name )
+ 					$taxonomy = 'category';
+ 				elseif ( 'tags' == $column_name )
+ 					$taxonomy = 'post_tag';
+ 				elseif ( 0 === strpos( $column_name, 'taxonomy-' ) )
+ 					$taxonomy = substr( $column_name, 9 );
+ 				else
+ 					$taxonomy = false;
+ 
+ 				if ( $taxonomy ) {
+ 					$taxonomy_object = get_taxonomy( $taxonomy );
+ 					echo '<td ' . $attributes . '>';
+ 					if ( $terms = get_the_terms( $post->ID, $taxonomy ) ) {
+ 						$out = array();
+ 						foreach ( $terms as $t ) {
+ 							$posts_in_term_qv = array();
+ 							if ( 'post' != $post->post_type )
+ 								$posts_in_term_qv['post_type'] = $post->post_type;
+ 							if ( $taxonomy_object->query_var ) {
+ 								$posts_in_term_qv[ $taxonomy_object->query_var ] = $t->slug;
+ 							} else {
+ 								$posts_in_term_qv['taxonomy'] = $taxonomy;
+ 								$posts_in_term_qv['term'] = $t->slug;
+ 							}
+ 
+ 							$out[] = sprintf( '<a href="%s">%s</a>',
+ 								esc_url( add_query_arg( $posts_in_term_qv, 'edit.php' ) ),
+ 								esc_html( sanitize_term_field( 'name', $t->name, $t->term_id, $taxonomy, 'display' ) )
+ 							);
+ 						}
+ 						/* translators: used between list items, there is a space after the comma */
+ 						echo join( __( ', ' ), $out );
+ 					} else {
+ 						echo '&#8212;';
+ 					}
+ 					echo '</td>';
+ 					break;
+ 				}
  			?>
  			<td <?php echo $attributes ?>><?php
  				if ( is_post_type_hierarchical( $post->post_type ) )
***************
*** 672,683 ****
  			?></td>
  			<?php
  			break;
  		}
- 	}
  	?>
  		</tr>
  	<?php
! 		$post = $global_post;
  	}
  
  	/**
--- 677,688 ----
  			?></td>
  			<?php
  			break;
+ 			}
  		}
  	?>
  		</tr>
  	<?php
! 		$GLOBALS['post'] = $global_post;
  	}
  
  	/**
***************
*** 688,694 ****
  	function inline_edit() {
  		global $mode;
  
! 		$screen = get_current_screen();
  
  		$post = get_default_post_to_edit( $screen->post_type );
  		$post_type_object = get_post_type_object( $screen->post_type );
--- 693,699 ----
  	function inline_edit() {
  		global $mode;
  
! 		$screen = $this->screen;
  
  		$post = get_default_post_to_edit( $screen->post_type );
  		$post_type_object = get_post_type_object( $screen->post_type );
***************
*** 720,727 ****
  		$bulk = 0;
  		while ( $bulk < 2 ) { ?>
  
! 		<tr id="<?php echo $bulk ? 'bulk-edit' : 'inline-edit'; ?>" class="inline-edit-row inline-edit-row-<?php echo "$hclass inline-edit-$screen->post_type ";
! 			echo $bulk ? "bulk-edit-row bulk-edit-row-$hclass bulk-edit-$screen->post_type" : "quick-edit-row quick-edit-row-$hclass inline-edit-$screen->post_type";
  		?>" style="display: none"><td colspan="<?php echo $this->get_column_count(); ?>" class="colspanchange">
  
  		<fieldset class="inline-edit-col-left"><div class="inline-edit-col">
--- 725,732 ----
  		$bulk = 0;
  		while ( $bulk < 2 ) { ?>
  
! 		<tr id="<?php echo $bulk ? 'bulk-edit' : 'inline-edit'; ?>" class="inline-edit-row inline-edit-row-<?php echo "$hclass inline-edit-" . $screen->post_type;
! 			echo $bulk ? " bulk-edit-row bulk-edit-row-$hclass bulk-edit-{$screen->post_type}" : " quick-edit-row quick-edit-row-$hclass inline-edit-{$screen->post_type}";
  		?>" style="display: none"><td colspan="<?php echo $this->get_column_count(); ?>" class="colspanchange">
  
  		<fieldset class="inline-edit-col-left"><div class="inline-edit-col">
***************
*** 752,758 ****
  	<?php if ( !$bulk ) : ?>
  			<label><span class="title"><?php _e( 'Date' ); ?></span></label>
  			<div class="inline-edit-date">
! 				<?php touch_time( 1, 1, 4, 1 ); ?>
  			</div>
  			<br class="clear" />
  	<?php endif; // $bulk
--- 757,763 ----
  	<?php if ( !$bulk ) : ?>
  			<label><span class="title"><?php _e( 'Date' ); ?></span></label>
  			<div class="inline-edit-date">
! 				<?php touch_time( 1, 1, 0, 1 ); ?>
  			</div>
  			<br class="clear" />
  	<?php endif; // $bulk
***************
*** 1036,1042 ****
  				$update_text = __( 'Update' );
  				?>
  				<a accesskey="s" href="#inline-edit" title="<?php esc_attr_e( 'Update' ); ?>" class="button-primary save alignright"><?php echo esc_attr( $update_text ); ?></a>
! 				<img class="waiting" style="display:none;" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  			<?php } else {
  				submit_button( __( 'Update' ), 'button-primary alignright', 'bulk_edit', false, array( 'accesskey' => 's' ) );
  			} ?>
--- 1041,1047 ----
  				$update_text = __( 'Update' );
  				?>
  				<a accesskey="s" href="#inline-edit" title="<?php esc_attr_e( 'Update' ); ?>" class="button-primary save alignright"><?php echo esc_attr( $update_text ); ?></a>
! 				<span class="spinner"></span>
  			<?php } else {
  				submit_button( __( 'Update' ), 'button-primary alignright', 'bulk_edit', false, array( 'accesskey' => 's' ) );
  			} ?>
